---
updatedAt: 2026-08-20T16:48:56.000Z
agentTools:
  projectIndex: https://docs.ciiruspartners.com/llms.txt
---

# Update units

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "security": [
    {
      "basicAuth": []
    }
  ],
  "info": {
    "title": "CiiRUS Partner API",
    "version": "2024.07.31"
  },
  "paths": {
    "/units": {
      "put": {
        "summary": "Update units",
        "description": "",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/update_units_request"
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/retrieve_units_response"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/Unauthorized"
          },
          "403": {
            "$ref": "#/components/responses/Forbidden"
          },
          "404": {
            "$ref": "#/components/responses/NotFound"
          }
        },
        "tags": [
          "Units"
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://api.ciiruspartners.com/v2024.07.31"
    }
  ],
  "components": {
    "responses": {
      "BadRequest": {
        "description": "Bad Request response",
        "content": {
          "*/*": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "Unauthorized": {
        "description": "Unauthorized response",
        "content": {
          "*/*": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "Forbidden": {
        "description": "Forbidden response",
        "content": {
          "*/*": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      },
      "NotFound": {
        "description": "Not Found response",
        "content": {
          "*/*": {
            "schema": {
              "$ref": "#/components/schemas/Error"
            }
          }
        }
      }
    },
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "schemas": {
      "Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "message": {
            "type": "string"
          }
        },
        "required": [
          "code",
          "message"
        ]
      },
      "unit_id": {
        "properties": {
          "unit_id": {
            "type": "integer",
            "format": "int32",
            "description": "Identifier for unit."
          }
        }
      },
      "unit_name": {
        "properties": {
          "unit_name": {
            "type": "string",
            "description": "Name of the unit."
          }
        }
      },
      "master_unit_id": {
        "properties": {
          "master_unit_id": {
            "type": "integer",
            "format": "int32",
            "description": "Unique identifier for inventory"
          }
        }
      },
      "enabled": {
        "properties": {
          "enabled": {
            "type": "boolean",
            "description": "Connection enabled."
          }
        }
      },
      "native": {
        "properties": {
          "native": {
            "type": "boolean",
            "description": "User is management company of unit."
          }
        }
      },
      "deleted": {
        "properties": {
          "deleted": {
            "type": "boolean",
            "description": "Unit is deleted."
          }
        }
      },
      "agent_enabled": {
        "properties": {
          "agent_enabled": {
            "type": "boolean",
            "description": "Connection enabled by the agent for use of the agent."
          }
        }
      },
      "supplier_enabled": {
        "properties": {
          "supplier_enabled": {
            "type": "boolean",
            "description": "Connection enabled by the supplier for use of the agent. Always true if you are the supplier."
          }
        }
      },
      "clone": {
        "properties": {
          "clone": {
            "type": "boolean",
            "description": "Whether this unit is a clone unit or not."
          }
        }
      },
      "online_booking_enabled": {
        "properties": {
          "online_booking_enabled": {
            "type": "boolean",
            "description": "Accepts online bookings."
          }
        }
      },
      "booking_fence": {
        "properties": {
          "booking_fence": {
            "type": "integer",
            "format": "int32",
            "description": "The minimum number of days between booking and arrival."
          }
        }
      },
      "gap_days": {
        "properties": {
          "gap_days": {
            "type": "integer",
            "format": "int32",
            "description": "The minimum number of days between departure and arrival."
          }
        }
      },
      "include_mandatory_extras": {
        "properties": {
          "include_mandatory_extras": {
            "type": "boolean",
            "description": "Unit configured to include mandatory extras when quoting/booking."
          }
        }
      },
      "merchant_of_record": {
        "properties": {
          "merchant_of_record": {
            "type": "string",
            "enum": [
              "management_company",
              "agent"
            ],
            "description": "Merchant of record for the unit."
          }
        }
      },
      "relationship_to_unit": {
        "properties": {
          "relationship_to_unit": {
            "type": "string",
            "enum": [
              "owner",
              "management_company",
              "supersite_agent",
              "no_relationship",
              "calendar_sync_agent",
              "calendar_sync_supersite_agent"
            ],
            "description": "Your relationship to the unit."
          }
        }
      },
      "timezone": {
        "properties": {
          "timezone": {
            "type": "string",
            "description": "Time zone code of unit."
          }
        }
      },
      "owner_user_id": {
        "properties": {
          "owner_user_id": {
            "type": "integer",
            "format": "int32",
            "description": "Owner id."
          }
        }
      },
      "owner_name": {
        "properties": {
          "owner_name": {
            "type": "string",
            "description": "Owner name."
          }
        }
      },
      "management_company_rate_set_id": {
        "properties": {
          "management_company_rate_set_id": {
            "type": "integer",
            "format": "int32",
            "description": "Units default rate set id."
          }
        }
      },
      "management_company_user_id": {
        "properties": {
          "management_company_user_id": {
            "type": "integer",
            "format": "int32",
            "description": "Unique Identifier for supplier"
          }
        }
      },
      "master_management_company_user_id": {
        "properties": {
          "master_management_company_user_id": {
            "type": "integer",
            "format": "int32",
            "description": "Unique Identifier for supplier"
          }
        }
      },
      "master_owner_user_id": {
        "properties": {
          "master_owner_user_id": {
            "type": "integer",
            "format": "int32",
            "description": "Master owner id."
          }
        }
      },
      "master_unit_rate_set_use_nightly_floor_rates": {
        "properties": {
          "master_unit_rate_set_use_nightly_floor_rates": {
            "type": "boolean",
            "description": "Whether or not floor rates or nightly rates should be used."
          }
        }
      },
      "rent_ready_date": {
        "properties": {
          "rent_ready_date": {
            "type": "string",
            "format": "date-time",
            "description": "Date when unit is next rent ready."
          }
        }
      },
      "community_id": {
        "properties": {
          "community_id": {
            "type": "integer",
            "format": "int32",
            "description": "Community the unit belongs to."
          }
        }
      },
      "community_name": {
        "properties": {
          "community_name": {
            "type": "string",
            "description": "Community name."
          }
        }
      },
      "franchisee": {
        "properties": {
          "franchisee": {
            "type": "string",
            "description": "Franchisee name."
          }
        }
      },
      "bedrooms": {
        "properties": {
          "bedrooms": {
            "type": "integer",
            "format": "int32",
            "description": "Number of bedrooms."
          }
        }
      },
      "bathrooms": {
        "properties": {
          "bathrooms": {
            "type": "number",
            "format": "float",
            "description": "Number of bathrooms."
          }
        }
      },
      "minimum_nights_stay": {
        "properties": {
          "minimum_nights_stay": {
            "type": "integer",
            "format": "int32",
            "description": "Unit-level minimum nights stay."
          }
        }
      },
      "last_unit_update_date": {
        "properties": {
          "last_unit_update_date": {
            "type": "string",
            "format": "date-time",
            "description": "Last update date of resource (included if last_update_date query parameter is passed)"
          }
        }
      },
      "last_reservation_update_date": {
        "properties": {
          "last_reservation_update_date": {
            "type": "string",
            "format": "date-time",
            "description": "Last update date of resource (included if last_update_date query parameter is passed)"
          }
        }
      },
      "last_agent_module_agent_update_date": {
        "properties": {
          "last_agent_module_agent_update_date": {
            "type": "string",
            "format": "date-time",
            "description": "Last update date of resource (included if last_update_date query parameter is passed)"
          }
        }
      },
      "last_agent_module_property_update_date": {
        "properties": {
          "last_agent_module_property_update_date": {
            "type": "string",
            "format": "date-time",
            "description": "Last update date of resource (included if last_update_date query parameter is passed)"
          }
        }
      },
      "retrieve_units_response": {
        "properties": {
          "units": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/unit_response"
            }
          }
        },
        "required": [
          "units",
          "paging"
        ],
        "allOf": [
          {
            "$ref": "#/components/schemas/paging_object"
          },
          {
            "type": "object"
          }
        ]
      },
      "update_units_request": {
        "required": [
          "unit_id",
          "enabled"
        ],
        "allOf": [
          {
            "$ref": "#/components/schemas/unit_id"
          },
          {
            "$ref": "#/components/schemas/enabled"
          }
        ]
      },
      "error_object": {
        "properties": {
          "error": {
            "$ref": "#/components/schemas/error"
          }
        }
      },
      "error": {
        "properties": {
          "message": {
            "type": "string",
            "description": "Error message."
          }
        }
      },
      "paging_object": {
        "properties": {
          "paging": {
            "$ref": "#/components/schemas/paging"
          }
        },
        "required": [
          "paging"
        ]
      },
      "paging": {
        "properties": {
          "next_page_url": {
            "type": "string",
            "format": "uri",
            "description": "URL to the next page."
          },
          "prev_page_url": {
            "type": "string",
            "format": "uri",
            "description": "URL to the previous page."
          },
          "total_page_count": {
            "type": "integer",
            "format": "int32",
            "minimum": 0,
            "description": "Total number of pages available."
          },
          "page": {
            "type": "integer",
            "format": "int32",
            "minimum": 0,
            "description": "Current page."
          },
          "page_size": {
            "type": "integer",
            "format": "int32",
            "minimum": 0,
            "description": "Current page size."
          }
        }
      },
      "address": {
        "properties": {
          "address_line_1": {
            "type": "string"
          },
          "address_line_2": {
            "type": "string"
          },
          "city": {
            "type": "string"
          },
          "state_province": {
            "type": "string"
          },
          "country": {
            "type": "string"
          },
          "postal_code": {
            "type": "string"
          }
        },
        "required": [
          "address_line_1",
          "city",
          "state_province",
          "country",
          "postal_code"
        ]
      },
      "unit_response": {
        "required": [
          "unit_id",
          "enabled",
          "agent_enabled",
          "supplier_enabled",
          "native",
          "clone",
          "online_booking_enabled",
          "booking_fence",
          "gap_days",
          "include_mandatory_extras",
          "merchant_of_record",
          "relationship_to_unit",
          "timezone",
          "owner_user_id",
          "management_company_rate_set_id",
          "management_company_user_id",
          "rent_ready_date",
          "community_id",
          "minimum_nights_stay",
          "last_unit_update_date",
          "last_reservation_update_date"
        ],
        "allOf": [
          {
            "$ref": "#/components/schemas/unit_id"
          },
          {
            "$ref": "#/components/schemas/unit_name"
          },
          {
            "$ref": "#/components/schemas/master_unit_id"
          },
          {
            "$ref": "#/components/schemas/enabled"
          },
          {
            "$ref": "#/components/schemas/agent_enabled"
          },
          {
            "$ref": "#/components/schemas/supplier_enabled"
          },
          {
            "$ref": "#/components/schemas/native"
          },
          {
            "$ref": "#/components/schemas/clone"
          },
          {
            "$ref": "#/components/schemas/deleted"
          },
          {
            "$ref": "#/components/schemas/online_booking_enabled"
          },
          {
            "$ref": "#/components/schemas/booking_fence"
          },
          {
            "$ref": "#/components/schemas/gap_days"
          },
          {
            "$ref": "#/components/schemas/include_mandatory_extras"
          },
          {
            "$ref": "#/components/schemas/merchant_of_record"
          },
          {
            "$ref": "#/components/schemas/relationship_to_unit"
          },
          {
            "$ref": "#/components/schemas/timezone"
          },
          {
            "$ref": "#/components/schemas/owner_user_id"
          },
          {
            "$ref": "#/components/schemas/owner_name"
          },
          {
            "$ref": "#/components/schemas/management_company_rate_set_id"
          },
          {
            "$ref": "#/components/schemas/management_company_user_id"
          },
          {
            "$ref": "#/components/schemas/master_management_company_user_id"
          },
          {
            "$ref": "#/components/schemas/master_owner_user_id"
          },
          {
            "$ref": "#/components/schemas/master_unit_rate_set_use_nightly_floor_rates"
          },
          {
            "$ref": "#/components/schemas/rent_ready_date"
          },
          {
            "$ref": "#/components/schemas/community_id"
          },
          {
            "$ref": "#/components/schemas/community_name"
          },
          {
            "$ref": "#/components/schemas/minimum_nights_stay"
          },
          {
            "$ref": "#/components/schemas/last_unit_update_date"
          },
          {
            "$ref": "#/components/schemas/last_reservation_update_date"
          },
          {
            "$ref": "#/components/schemas/last_agent_module_agent_update_date"
          },
          {
            "$ref": "#/components/schemas/last_agent_module_property_update_date"
          },
          {
            "$ref": "#/components/schemas/allocation_on_arrival_object"
          },
          {
            "$ref": "#/components/schemas/address"
          },
          {
            "$ref": "#/components/schemas/bedrooms"
          },
          {
            "$ref": "#/components/schemas/bathrooms"
          },
          {
            "$ref": "#/components/schemas/franchisee"
          },
          {
            "$ref": "#/components/schemas/airbnb_object"
          },
          {
            "$ref": "#/components/schemas/vrbo_object"
          },
          {
            "$ref": "#/components/schemas/error_object"
          }
        ]
      },
      "airbnb_object": {
        "properties": {
          "airbnb": {
            "$ref": "#/components/schemas/airbnb_internal"
          }
        }
      },
      "vrbo_object": {
        "properties": {
          "vrbo": {
            "$ref": "#/components/schemas/vrbo_internal"
          }
        }
      },
      "vrbo_internal": {
        "properties": {
          "sync": {
            "type": "boolean",
            "description": "Is sync enabled."
          },
          "booking_policy": {
            "type": "integer",
            "format": "int32",
            "description": "Booking policy."
          },
          "cancellation_policy": {
            "type": "integer",
            "format": "int32",
            "description": "Cancellation policy."
          },
          "pricing_mode": {
            "type": "integer",
            "format": "int32",
            "description": "Pricing mode."
          }
        }
      },
      "airbnb_internal": {
        "properties": {
          "host_id": {
            "type": "string",
            "description": "Airbnb host identifier for listing."
          },
          "listing_id": {
            "type": "string",
            "description": "Airbnb listing identifier."
          },
          "request_to_book_on_short_notice": {
            "type": "boolean",
            "description": "Allow request to book listing setting."
          },
          "short_term_cancelation_policy": {
            "type": "string",
            "enum": [
              "flexible",
              "moderate",
              "strict",
              "better_strict_with_grace_period",
              "strict_14_with_grace_period",
              "super_strict_30",
              "super_strict_60"
            ],
            "description": "Short Term Cancellation policy listing setting."
          },
          "long_term_cancelation_policy": {
            "type": "string",
            "enum": [
              "cancel_long_term_fair",
              "cancel_long_term_with_grace_period"
            ],
            "description": "Long Term Cancellation policy listing setting."
          },
          "synchronization_category": {
            "type": "string",
            "enum": [
              "sync_all",
              "sync_rates_and_availability",
              "sync_none",
              "sync_undecided"
            ],
            "description": "Synchronisation category listing setting."
          },
          "publish_listing": {
            "type": "boolean",
            "description": "Publish the listing."
          },
          "listing_error_message": {
            "type": "string",
            "description": "Listing error message."
          },
          "guests_included": {
            "type": "integer",
            "format": "int32",
            "description": "Number of guests included in the price."
          },
          "price_per_extra_person": {
            "type": "integer",
            "format": "int32",
            "description": "Price at which will be charged above number of guests."
          },
          "allow_length_of_stay": {
            "type": "boolean",
            "description": "Is length of stay allowed."
          },
          "non_refundable_price_factor": {
            "type": "number",
            "format": "decimal",
            "description": "Non refundable factor."
          }
        }
      },
      "allocation_on_arrival_object": {
        "properties": {
          "allocation_on_arrival": {
            "$ref": "#/components/schemas/allocation_on_arrival_internal"
          }
        }
      },
      "allocation_on_arrival_internal": {
        "required": [
          "allocation_on_arrival_unit",
          "allocation_on_arrival_category",
          "community_id",
          "enforce_allocation_on_arrival_stop_sale"
        ],
        "properties": {
          "allocation_on_arrival_unit": {
            "type": "boolean",
            "description": "This is the representative (virtual) Allocation On Arrival unit for its group."
          },
          "allocation_on_arrival_unit_id": {
            "type": "integer",
            "format": "int32",
            "description": "This is the representative (virtual) Allocation On Arrival unit id for its group."
          },
          "allocation_on_arrival_category": {
            "type": "integer",
            "format": "int32",
            "description": "Allocation On Arrival category this unit resides in."
          },
          "community_id": {
            "type": "integer",
            "format": "int32",
            "description": "Unit community id."
          },
          "enforce_allocation_on_arrival_stop_sale": {
            "type": "boolean",
            "description": "Enforce Allocation On Arrival Stop Sale when no availability."
          }
        }
      }
    }
  }
}
```